Bug 5262 - template database is not created when first install postgresql
template database is not created when first install postgresql
Status: CLOSED NEXTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: postgresql (Show other bugs)
1.0
All Linux
high Severity high
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-20 20:13 EDT by carenas
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-21 15:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description carenas 1999-09-20 20:13:05 EDT
template database should be created if there is no data.

%post server
/sbin/ldconfig
if [ ! -d /var/lib/pgsql/data ];
  su -c "initdb --pglib=/usr/lib/pgsql
--pgdata=/var/lib/pgsql" postgres 2>&1
fi

will be all what is needed for keeping the init error away
Comment 1 Jeff Johnson 1999-09-21 15:51:59 EDT
Fixed (by creating/converting database when starting postmaster) in
postgres-6.5.1-0.8 and later.

Note You need to log in before you can comment on or make changes to this bug.